import greenfoot.*;

public class Lives extends Actor
{
    private GreenfootImage icon = new GreenfootImage("pacman3.png");
    private int value = 2;

    public Lives()
    {
        icon.mirrorHorizontally();
        icon.scale(24, 24);
        updateImage();
    }

    private void updateImage()
    {
        int wide = icon.getWidth()*value+10*(value+1);
        GreenfootImage base = new GreenfootImage(wide, icon.getHeight());
        for (int i=0; i<value; i++)
        {
            int xOff =10+i*(10+icon.getWidth());
            base.drawImage(icon, xOff, 0);
        }
        setImage(base);
    }

    public void adjustValue(int change)
    {
        if (value + change < 0) return;
        value += change;
        updateImage();
    }

    public int getValue()
    {
        return value;
    }
}