import greenfoot.*;

public class Counter extends Actor
{
    private Color TRANS = new Color(0, 0, 0, 0), BLACK = Color.BLACK;
    private String text;
    private int value;
    
    public Counter(String prefix, int initialValue)
    {
        text = prefix;
        value = initialValue;
        updateImage();
    }

    public void updateImage()
    {
        GreenfootImage txtImg = new GreenfootImage(text +": "+value, 20, BLACK, TRANS);
        setImage(txtImg);
    }
    
    public void add(int change)
    {
        value += change;
        updateImage();
    }
    
    public int getValue()
    {
        return value;
    }
    
    public void setValue(int newValue)
    {
        value = newValue;
        updateImage();
    }
}