import greenfoot.*;

public class Fruit extends Actor
{
    private int value;
    private int lifeTimer;
    
    public Fruit(int kind)
    {
        value = (kind+1)*100;
        setImage(new GreenfootImage("fruit"+kind+".png"));
    }
    
    public int getValue()
    {
        return value;
    }
    
    public void act()
    {
        lifeTimer = (lifeTimer+1)%600;
        if (lifeTimer == 0) getWorld().removeObject(this);
    }
}