import greenfoot.*;

public class Spirit extends Actor
{
    public int direction;

    public Spirit()
    {
    }
    
    public void act()
    {
        if (!((Maze)getWorld()).running) return;
        setDirection();
        direction = getRotation();
        move(2);
        if (getX() < 0) setLocation(getWorld().getWidth(), getY());
        if (getX() > getWorld().getWidth()) setLocation(0, getY());
        setRotation(0);
    }

    public void setDirection()
    {
        setRotation(direction);
        int dirs = 0;
        turn(-90); 
        for (int i=0; i<3; i++) {
            if (canMove()) dirs++;
            turn(90);
        }
        if (dirs == 0) return;
        int choice = Greenfoot.getRandomNumber(dirs);
        while (choice>=0) {
            turn(90);
            if (canMove()) choice--;
        }
    }

    private boolean canMove()
    {
        move(2);
        Actor mur = getOneIntersectingObject(Wall.class);
        move(-2);
        return mur == null;
    }
}